/**
 * @param {string} specifier
 * @param {{
 *   conditions: !Array<string>,
 *   parentURL: !(string | undefined),
 * }} context
 * @param {Function} nextResolve
 * @returns {Promise<{ url: string }>}
 */
export function resolve(specifier: string, context: {
    conditions: Array<string>;
    parentURL: (string | undefined);
}, nextResolve: Function): Promise<{
    url: string;
}>;
/**
 * @param {string} url
 * @param {{
 *   format: string,
 * }} context
 * @param {Function} nextLoad
 * @returns {Promise<{ source: !(string | SharedArrayBuffer | Uint8Array), format: string}>}
 */
export function load(url: string, context: {
    format: string;
}, nextLoad: Function): Promise<{
    source: (string | SharedArrayBuffer | Uint8Array);
    format: string;
}>;
//# sourceMappingURL=babel-register-esm.d.ts.map